*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

li {
    list-style: none;
}

a {
    color: inherit;
    text-decoration: none;
}

a,
img,
time,
span,
input,
label,
select,
button,
textarea,
ion-icon {
    display: block;
}

input,
button,
select,
textarea {
    background: none;
    border: none;
    font: inherit;
}

button,
select {
    cursor: pointer;
}

input,
textarea {
    width: 100%;
}

ion-icon {
    pointer-events: none;
}

:is(a, button, select) {
    outline-color: var(--scarlet);
    outline-offset: 3px;
}

::selection {
    background: var(--color-primary);
    color: var(--bg-primary);
}

@media (min-width: 1024px) {
    body::before {
        background-attachment: fixed;
    }
}


a:hover {
    color: #35e888;
    text-decoration: none;
}



body {
    background-color: #040404;
    color: #fff;
    position: relative;
    background: transparent;
    overflow: hidden;
}

body::before {
    content: "";
    position: fixed;
    background: #040404 url("https://velysyukran.com/assets/img/bg.jpg") top right no-repeat;
    background-size: cover;
    left: 0;
    right: 0;
    top: 0;
    height: 100vh;
    z-index: -1;
}



/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/* Desktop Navigation */
.nav-menu {
    margin-top: 35px;
}

.nav-menu ul {
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
}

.nav-menu li+li {
    margin-left: 30px;
}

.nav-menu a {
    display: block;
    position: relative;
    color: rgba(255, 255, 255, 0.7);
    font-size: 16px;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
}

.nav-menu a:before {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -4px;
    left: 0;
    background-color: #18d26e;
    visibility: hidden;
    width: 0px;
    transition: all 0.3s ease-in-out 0s;
}

.nav-menu a:hover:before,
.nav-menu li:hover>a:before,
.nav-menu .active>a:before {
    visibility: visible;
    width: 25px;
}

.nav-menu a:hover,
.nav-menu .active>a,
.nav-menu li:hover>a {
    color: #fff;
    text-decoration: none;
}

/* Mobile Navigation */
.mobile-nav-toggle {
    position: fixed;
    right: 15px;
    top: 15px;
    z-index: 1;
    border: 0;
    background: none;
    font-size: 24px;
    transition: all 0.4s;
    outline: none !important;
    line-height: 1;
    cursor: pointer;
    text-align: right;
}

.mobile-nav-toggle i {
    color: #fff;
}

.mobile-nav {
    position: fixed;
    top: 55px;
    right: 15px;
    bottom: 15px;
    left: 15px;
    z-index: 9999;
    overflow-y: auto;
    background: rgba(0, 0, 0, 0.7);
    transition: ease-in-out 0.2s;
    opacity: 0;
    visibility: hidden;
    border-radius: 10px;
    padding: 10px 0;
    border: 2px solid rgba(255, 255, 255, 0.12);
}

.mobile-nav * {
    margin: 0;
    padding: 0;
    list-style: none;
}

.mobile-nav a {
    display: block;
    position: relative;
    color: #fff;
    padding: 10px 20px;
    font-weight: 500;
    outline: none;
    font-size: 1.8rem;
}

.mobile-nav a:hover,
.mobile-nav .active>a,
.mobile-nav li:hover>a {
    color: #18d26e;
    text-decoration: none;
}

.mobile-nav-overly {
    width: 100%;
    height: 100%;
    z-index: 9997;
    top: 0;
    left: 0;
    position: fixed;
    background: rgba(9, 9, 9, 0.6);
    overflow: hidden;
    display: none;
    transition: ease-in-out 0.2s;
}

.mobile-nav-active {
    overflow: hidden;
}

.mobile-nav-active .mobile-nav {
    opacity: 1;
    visibility: visible;
}

.mobile-nav-active .mobile-nav-toggle i {
    color: #fff;
}


/*-----------------------------------*\
 * #HEADER
\*-----------------------------------*/
#header {
    transition: ease-in-out 0.3s;
    position: relative;
    height: 100vh;
    display: flex;
    align-items: center;
    z-index: 997;
    overflow-y: auto;
}

#header * {
    transition: ease-in-out 0.3s;
}

#header h1 {
    font-size: 48px;
    margin: 0;
    padding: 0;
    line-height: 1;
    font-weight: 700;
    font-family: "Poppins", sans-serif;
}

#header h1 a,
#header h1 a:hover {
    color: #fff;
    line-height: 1;
    display: inline-block;
}

#header h2 {
    font-size: 24px;
    margin-top: 20px;
    color: rgba(255, 255, 255, 0.8);
}

#header h2 span {
    color: #fff;
    border-bottom: 2px solid #18d26e;
    padding-bottom: 6px;
}

#header img {
    padding: 0;
    margin: 0;
}

#header .social-links {
    margin-top: 40px;
    display: flex;
}

#header .social-links a {
    font-size: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(255, 255, 255, 0.1);
    color: #fff;
    line-height: 1;
    margin-right: 8px;
    border-radius: 50%;
    width: 40px;
    height: 40px;
}

#header .social-links a:hover {
    background: #18d26e;
}

@media (max-width: 992px) {
    #header h1 {
        font-size: 36px;
        text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
    }

    #header h2 {
        font-size: 20px;
        line-height: 30px;
        text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
    }

    #header .social-links {
        margin-top: 15px;
        text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
    }

    #header .container {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: auto;
    }
}

.header-top {
    height: 80px;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.9);
    color: #fff;
    padding: 10px;
}

.header-top h1 {
    margin: 0;
    padding: 0;
    line-height: 1;
    font-weight: 700;
    font-family: "Poppins", sans-serif;
    margin-right: auto;
    font-size: 36px;
}

.header-top .container {
    display: flex;
    align-items: center;
}

.header-top .nav-menu {
    margin: 0;
}

@media (max-width: 768px) {
    .header-top {
        height: 60px;
    }

    .header-top h1 {
        font-size: 26px;
    }
}



/*-----------------------------------*\
 * #HERO
\*-----------------------------------*/

main {
    overflow-x: hidden;
}



/*-----------------------------------*\
 * #GO TO TOP
\*-----------------------------------*/

.go-top {
     position: absolute;    /* menempel permanen di koordinat popup */
     bottom: 25px;
  right: 25px;
  width: 45px;
  height: 45px;
  display: grid;
  font-size: 20px;
  border-radius: 50%;
  opacity: 0;
  pointer-events: none;
  transform: translateY(1px);
  transition: var(--transition-1);
  z-index: 10;
}

.go-top.active {
    opacity: 1;
    pointer-events: all;
    transform: translateY(0);
}





/*-----------------------------------*\
 * #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for larger than 550px screen
 */

@media (min-width: 550px) {

    .container {
        max-width: 550px;
        margin-inline: auto;
    }


}


/*--------------------------------------------------------------
# Sections General
--------------------------------------------------------------*/
section {
    overflow: hidden;
    position: absolute;
    width: 100%;
    top: 140px;
    bottom: 100%;
    opacity: 0;
    transition: ease-in-out 0.4s;
    z-index: 2;
}

section.section-show {
    top: 100px;
    bottom: auto;
    opacity: 1;
    padding-bottom: 45px;
}

section .container {
    background: rgba(0, 0, 0, 0.9);
    padding: 5px;
}

@media (max-width: 768px) {
    section {
        top: 120px;
    }

    section.section-show {
        top: 50px;
    }
}

.section-title h2 {
    font-size: 14px;
    font-weight: 500;
    padding: 0;
    line-height: 1px;
    margin: 0 0 20px 0;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #aaaaaa;
    font-family: "Poppins", sans-serif;
}

.section-title h2::after {
    content: "";
    width: 120px;
    height: 1px;
    display: inline-block;
    background: #4ceb95;
    margin: 4px 10px;
}

.section-title p {
    margin: 0;
    margin: -15px 0 15px 0;
    font-size: 36px;
    font-weight: 700;
    text-transform: uppercase;
    font-family: "Poppins", sans-serif;
    color: #fff;
}

/*--------------------------------------------------------------
# Resume
--------------------------------------------------------------*/
.resume .resume-title {
    font-size: 26px;
    font-weight: 700;
    margin-top: 20px;
    margin-bottom: 20px;
    color: #fff;
}

.resume .resume-item {
    padding: 0 0 20px 20px;
    margin-top: -2px;
    border-left: 2px solid rgba(255, 255, 255, 0.2);
    position: relative;
}

.resume .resume-item h4 {
    line-height: 18px;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    font-family: "Poppins", sans-serif;
    color: #18d26e;
    margin-bottom: 10px;
}

.resume .resume-item h5 {
    font-size: 16px;
    background: rgba(255, 255, 255, 0.15);
    padding: 5px 15px;
    display: inline-block;
    font-weight: 600;
    margin-bottom: 10px;
}

.resume .resume-item ul {
    padding-left: 20px;
}

.resume .resume-item ul li {
    padding-bottom: 10px;
}

.resume .resume-item:last-child {
    padding-bottom: 0;
}

.resume .resume-item::before {
    content: "";
    position: absolute;
    width: 16px;
    height: 16px;
    border-radius: 50px;
    left: -9px;
    top: 0;
    background: #18d26e;
    border: 2px solid #18d26e;
}



/**
 * responsive for larger than 768px screen
 */

@media (min-width: 768px) {

    .container {
        max-width: 720px;
    }

    .section-title {
        max-width: 430px;
    }

    .paket-content {
        margin-bottom: 0;
    }

    toggle-btn.active {
        width: 70px;
    }
    
    .banner-section {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        border-radius: 20px;
        box-shadow: var(--shadow-1);
        color: var(--color-primary);
        height: 80vh;
    }
    
    .wrappers {
        width: 400px;
    }
    
    section .container {
        padding: 30px;
        height: 85vh;
    }



}


/**
 * responsive for larger than 992px screen
 */

@media (min-width: 992px) {

    /**
   * CUSTOM PROPERTY
   */

    :root {

        /**
     * typography
     */

        --fs-2: 3rem;

        /**
     * spacing
     */

        --section-padding: 100px;

    }



    /**
   * REUSED STYLE
   */

    .container {
        max-width: 980px;
    }

    .section-content {
        position: relative;
        padding-left: 40px;
    }

    .section-subtitle {
        position: absolute;
        top: 0;
        left: 0;
        transform: rotate(0.75turn) translateX(-100%);
        transform-origin: left top;
        margin-bottom: 0;
    }

    .section-subtitle::after {
        top: 8px;
        left: auto;
        right: calc(100% + 20px);
    }



    /**
   * HEADER
   */

    .header {
        padding-block: 15px;
    }

    .header.active {
        padding-block: 15px;
    }

    .navbar-actions {
        order: 1;
        margin-left: 0;
    }

    .nav-toggle-btn {
        display: none;
    }

    .navbar {
        all: unset;
    }

    .navbar-link {
        transform: translateY(0);
        font-size: unset;
        padding-inline: 5px;
    }

    .navbar-list>li {
        margin: 0;
        padding: 0;
        overflow: visible;
    }

    .navbar-list {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }

    .navbar-link::before {
        height: 2px;
    }
    
    .banner-section {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        border-radius: 20px;
        box-shadow: var(--shadow-1);
        color: var(--color-primary);
        height: 80vh;
    }
    
    .wrappers {
        width: 400px;
    }
    
    section .container {
        padding: 30px;
        height: 85vh;
    }




    /**
 * responsive for larger than 1200px screen
 */

    @media (min-width: 1200px) {

        /**
   * REUSED STYLE
   */

        .container {
            max-width: 1150px;
        }

        .section-title {
            max-width: 460px;
        }




        /**
   * HERO
   */

        .hero-social-list {
            left: -80px;
        }

        .scroll-down {
            right: -80px;
        }




        /**
   * ABOUT
   */

        .about-banner {
            max-width: 450px;
        }
        
        .banner-section {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        border-radius: 20px;
        box-shadow: var(--shadow-1);
        color: var(--color-primary);
        height: 80vh;
    }
    
    .wrappers {
        width: 400px;
    }
    
    section .container {
        padding: 30px;
        height: 85vh;
    }

    }
}

.audio-container {
    display: flex;
    flex: 1 1;
    flex-direction: column;
    height: 100vh;
    padding-top: 1rem;
}

.player {
    display: flex;
    align-items: center;
    justify-content: center;
}

.wrappers {
    position: relative;
    z-index: 2;

    margin: auto;
    padding: 1rem;

    display: flex;
    flex-direction: column;

    min-height: calc(100dvh - 100px);
    box-sizing: border-box;

}

.details {
    flex: 1;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-align: center;

    gap: .6rem;

    margin: 0;
}

.song {
    width: clamp(180px, 45vw, 200px);
    aspect-ratio: 1;

    position: relative;

    margin: 2rem auto 1rem;

    border-radius: 50%;

    box-shadow:
        -9px -9px 8px var(--light) inset,
        7px 7px 8px var(--dark) inset;
}

#track-art {
    position: absolute;

    width: 82%;
    height: 82%;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    border-radius: 50%;
    object-fit: cover;
}

.circle {
     position: absolute;

    width: 88%;
    height: 88%;

    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    border-radius: 50%;

    border: 3px solid var(--blue);

    box-shadow:
        -1px -1px 5px #fe835a,
        1px 1px 5px #fe835a;
}


.now-playing {
    font-size: 1rem;
    color: #fff;
}

.track-name {
    font-size: 1.6rem;
    margin-top: 1rem;
    color: #fff;
}

.track-artist {
    margin-top: 5px;
    font-size: 1rem;
    color: #fff;
}


.buttons {
    display: flex;
    justify-content: space-evenly;
    align-items: center;

    width: 100%;

    padding: 2.5rem 0;
}

.active {
    color: var(--color-primary);
}

.repeat-track,
.lyric-track,
.prev-track,
.next-track {
    padding: 10px 15px;
    opacity: 0.8;
    transition: opacity .2s;
    box-shadow: -3px -3px 8px var(--light), 2px 2px 8px var(--dark);
}

.repeat-trackl,
.prev-trackl,
.next-trackl {
    padding: 5px 15px;
    opacity: 1;
    transition: opacity .2s;
    box-shadow: -3px -3px 8px var(--light), 2px 2px 8px var(--dark);
}

.playpause-track {
    padding: 15px;
    opacity: 0.8;
    transition: opacity .2s;
    box-shadow: -3px -3px 8px var(--light), 2px 2px 8px var(--dark);
    border-radius: 50%;
}

.repeat-track:hover,
.lyric-track:hover,
.playpause-track:hover,
.prev-track:hover,
.next-track:hover {
    opacity: 1.0;
}

.slides {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.slider_container {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
}

.slider_containerl {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    width: 100%;
}

.seek_sliderl {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 5px;
    background: var(--color-primary);
    -webkit-transition: .2s;
    transition: opacity .2s;
}

.seek_sliderl::-webkit-slider-thumb {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    background: rgb(190, 214, 4);
    border: 5px solid #4286f4;
    cursor: grab;
    border-radius: 100%;
}

.seek_sliderl:hover {
    opacity: 1.0;
}

.current-timel,
.total-durationl {
    padding: 10px;
}

.seek_slider,
.volume_slider {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 5px;
    background: var(--color-primary);
    -webkit-transition: .2s;
    transition: opacity .2s;
}

.seek_slider::-webkit-slider-thumb,
.volume_slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    background: rgb(190, 214, 4);
    border: 5px solid #4286f4;
    cursor: grab;
    border-radius: 100%;
}

.seek_slider:hover,
.volume_slider:hover {
    opacity: 1.0;
}

.seek_slider {
    width: 60%;
}

.volume_slider {
    width: 30%;
}

.current-time,
.total-duration {
    padding: 10px;
}

input[type="range"] {
    width: 100%;
    height: 0.4rem;
    border-radius: 1rem;
    cursor: pointer;
    transition: all 0.2s ease;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background: var(--black);
    cursor: grab;
    transition: transform 0.1s ease;
}

input[type="range"]::-webkit-slider-thumb:active {
    transform: scale(1.2);
    cursor: grabbing;
}

i.fa-volume-down,
i.fa-volume-up {
    padding: 10px;
    color: #fff;
}

i,
i.fa-play-circle,
i.fa-pause-circle,
i.fa-step-forward,
i.fa-step-backward {
    cursor: pointer;
    color: #fff;
}

p {
    cursor: pointer;
    color: #fff;
}

i.fa-list {
    color: #fff;
}

.randomActive {
    color: #f46f2d;
    font-weight: 500;
    animation: pulse 900ms ease-in-out infinite alternate;
}

.repeatActive {
    box-shadow: -2px -2px 3px var(--light) inset, 2px 2px 5px var(--dark) inset;
}

.rotate {
    animation: rotation 8s infinite linear;
}

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(359deg);
    }
}

@keyframes pulse {
    from {
        transform: scale(0.75);
        opacity: 0.6;
    }

    to {
        transform: scale(1.4);
        opacity: 1;
    }
}


.loader {
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader .stroke {
    background: #f1f1f1;
    height: 150%;
    width: 10px;
    border-radius: 50px;
    margin: 0 5px;
    animation: animate 1.4s linear infinite;
}

@keyframes animate {
    50% {
        height: 20%;
        background: #4286f4;
    }

    100% {
        background: #4286f4;
        height: 100%;
    }
}


.stroke:nth-child(1) {
    animation-delay: 0s;
}

.stroke:nth-child(2) {
    animation-delay: 0.3s;
}

.stroke:nth-child(3) {
    animation-delay: 0.6s;
}

.stroke:nth-child(4) {
    animation-delay: 0.9s;
}

.stroke:nth-child(5) {
    animation-delay: 0.6s;
}

.stroke:nth-child(6) {
    animation-delay: 0.3s;
}

.stroke:nth-child(7) {
    animation-delay: 0s;
}

.buttons-atas {
    display: none;
}

.kecil {
    display: none;
}

.buttons-lyrics {
    display: flex;
    font-size: 16px;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 0.3rem 6rem;
    gap: 0.5rem;
    margin-bottom: 0;
}

#upload {
    display: none;
}

.playlist-popup {
    display: none;
    position: fixed;
    background: #000;
    color: #fff;
    width: 400px;
    height: 80vh;
    max-height: 80vh;
    padding-top: 1rem;
    padding: 0.5rem;
    display: grid;
    visibility: hidden;
    transition: 0.75s cubic-bezier(0.71, 0.01, 0.24, 0.99);
    transition-delay: 0s;
    z-index: 999;
}

.playlist-content {
    margin-block: 20px;
    padding-inline: 30px;
    overflow: hidden;
    max-height: 66vh;
     display: flex;
    flex-direction: column;
}

.lyrics-content {
    margin-block: 20px;
    padding-inline: 30px;
    overflow: scroll;
    max-height: 53vh;
     display: flex;
    flex-direction: column;
}

.lyrics-content::-webkit-scrollbar {
    display: none;
}

.playlist-popup::-webkit-scrollbar {
    display: none;
}

#playlistList {
    list-style: none;
    padding: 0;
}

#playlistListnav {
    list-style: none;
    padding: 0;
}

#playlistList li {
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid var(--color-primary);
}

#playlistListnav li {
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid var(--color-primary);
}

#playlistList li:hover {
    background: #3f067ca1;
}

#playlistListnav li:hover {
    background: #3f067ca1;
}

.artist-head {
    display: flex;
    align-items: center;
    gap: 15px;
    width: 100%;
    margin: 0.5rem;
    margin-bottom: 2rem;
}

.artist-head img {
    cursor: pointer;
    width: 80px;
    height: 80px;
    border-radius: 10%;
    object-fit: cover;
    border: 3px solid var(--color-primary);
}

.artist-headnav {
    display: flex;
    align-items: center;
    gap: 15px;
    width: 100%;
    margin: 0.5rem;
    margin-bottom: 2rem;
}

.artist-headnav img {
    cursor: pointer;
    width: 80px;
    height: 80px;
    border-radius: 50%;
    object-fit: cover;
    border: 3px solid var(--color-primary);
}

.artist-list {
    max-height: 70vh;
    overflow: scroll;
}

.artist-list::-webkit-scrollbar {
    display: none;
}

#artistSongs {
    flex-grow: 1;         /* Memaksimalkan sisa ruang yang ada di dalam popup */
    overflow-y: auto;     /* Mengaktifkan scroll vertikal secara otomatis saat lagu ratusan */  
    list-style: none;     /* Menghilangkan titik bullet bawaan list */
}

#artistSongs::-webkit-scrollbar {
    display: none;
}

.advance {
    overflow: scroll;
}

.advance::-webkit-scrollbar {
    display: none;
}


.artist-card {
    display: flex;
    align-items: center;
    gap: 15px;
    width: 10rem;
    margin: 0.5rem;
    color: #fff;
    cursor: pointer;
}

.artist-card .nomor-surah {
    cursor: pointer;
    width: 25px;
    height: 25px;
    background-color: #18d26e;
    /* Warna latar belakang */
    color: #090909;
    /* Warna teks */
    font-size: 12px;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.artist-card .nama-surah {
    cursor: pointer;
    margin-left: 8px;
    font-size: 13px;
    color: #fff;
}

.artist-cardnav {
    display: flex;
    align-items: center;
    gap: 15px;
    width: 18rem;
    margin: 0.5rem;
    color: #fff;
}

.artist-cardnav .nomor-surah {
    cursor: pointer;
    width: 30px;
    height: 30px;
    background-color: #18d26e;
    /* Warna latar belakang */
    color: #090909;
    /* Warna teks */
    font-size: 18px;
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.artist-cardnav .nama-surah {
    cursor: pointer;
    margin-left: 8px;
    font-size: 20px;
    color: #fff;
}


.container-form {
    background-color: rgba(0, 0, 0, 0.4);
    margin: 8% 8%;
    padding: 20px;
    border-radius: 5px;
    width: 500px;
}

.container-form h3 {
    color: #fff;
    text-align: center;
    margin-bottom: 30px;
}

.form-control {
    position: relative;
    margin: 20px 0 35px;
    background: #00000062;
    border: 0;
    height: 40px;
}

.form-control textarea {
    position: relative;
    margin: 40px 0 40px;
    background: transparent;
    border: 1px #fff solid;
    height: 200px;
    color: #fff;
    padding: 5px;
}

#arabic {
    font-size: 35px;
}

#tafsir {
    font-size: 17px;
}

.form-control input {
    background-color: transparent;
    border: 0;
    border-bottom: 2px #fff solid;
    display: block;
    width: 100%;
    padding: 5px 0;
    font-size: 18px;
    color: #fff;
}



.form-control input:focus,
.form-control input:valid {
    outline: 0;
    border-bottom-color: lightblue;
}

.text {
    margin-top: 30px;
}

.form-control label {
    color: #fff;
    position: absolute;
    top: 5px;
    left: 0;
    pointer-events: none;
}

.form-control label span {
    display: inline-block;
    font-size: 18px;
    min-width: 5px;
    transition: 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.form-control input:focus+label span,
.form-control input:valid+label span {
    color: lightblue;
    transform: translateY(-30px);
}

input[type="file"]::file-selector-button {
    background-color: transparent;
    color: transparent;
    padding: 5px 10px;
    cursor: pointer;
    margin-right: 10px;
    /* Memberi jarak antara tombol dan teks */
}

/* Memastikan teks berada di sebelah kanan */
input[type="file"] {
    display: flex;
    align-items: center;
}

.btn {
    cursor: pointer;
    display: inline-block;
    width: 100%;
    background: lightblue;
    padding: 15px;
    font-family: inherit;
    font-size: 16px;
    border: 0;
    border-radius: 5px;
}

.btn:focus {
    outline: 0;
}

.btn:active {
    transform: scale(0.98);
}

.close-btn {
    float: right;
    cursor: pointer;
    font-size: 40px;
    margin-right: 17px;
}

.close-btnnav {
    float: right;
    cursor: pointer;
    font-size: 40px;
    margin-right: 17px;
}

#message {
    padding: 15px;
    background-color: #4CAF50;
    color: white;
    position: fixed;
    top: 60px;
    border-radius: 5px;
    transition: opacity 0.5s ease;
    opacity: 1;
}

.wave-mini {
    display: inline-block;
    width: 15px;
    height: 10px;
    margin-left: 8px;
    background: linear-gradient(90deg,
            #00ffcc 0%,
            #00ffcc 20%,
            transparent 20%,
            transparent 40%,
            #00ffcc 40%,
            #00ffcc 60%,
            transparent 60%,
            transparent 80%,
            #00ffcc 80%);
    background-size: 200% 100%;
    animation: waveMove 1s linear infinite;
}

@keyframes waveMove {
    from {
        background-position: 0 0;
    }

    to {
        background-position: 100% 0;
    }
}

@media only screen and (max-width: 500px) {
    .audio-container {
        padding-top: 2rem;
    }

    #background-video {
        position: absolute;
        inset: 0;

        width: 100%;
        height: 100%;

        object-fit: cover;

        z-index: 0;
    }

    .overlay {
        position: absolute;
        inset: 0;

        width: 100%;
        height: 100%;

        background-color: black;
        opacity: 0.5;

        z-index: 1;
    }


    .buttons {
        font-size: var(--fs-7);
        padding: .5rem 0;
    }

    .buttons-atas {
        display: flex;
        font-size: 13px;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        padding: 12px;
    }

    .besar {
        display: none;
    }

    .kecil {
        display: block;
    }

    .container-form {
        width: 100%;
        margin: 0;
    }

    .playlist-popup {
        top: 0;
        width: 100%;
        height: 100%;
        max-height: 100%;
        background: #000;
    }

    .playlist-content {
        margin: 0;
        max-height: 85vh;
    }
    
    .lyrics-content {
        margin: 0;
        max-height: 70vh;
    }
    
    .artist-list {
        max-height: 100%;
    }

    .details {
        margin-bottom: 0;
    }
}

.badge {
    padding: 4px 51px;
    background-color: #007bff;
    color: white;
    font-weight: bold;
    border-radius: 4px;
    /* Square edges */
}

.badge-pill {
    border-radius: 50px;
    /* Rounded pill shape */
}

.off-screen-menu {
    display: none
}

.main {
    display: flex
}

aside {
    margin-left: 3rem;
    padding-top: 6rem
}

aside ul {
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    background: #15161c6e;
    border: 1px solid #21232b;
    border-radius: 10px;
    list-style: none;
    overflow: hidden;
    width: 280px
}

aside ul li {
    align-items: center;
    color: #fff;
    cursor: pointer;
    display: flex;
    padding: .8rem
}

aside ul li:hover {
    background: #21232b
}

aside ul li ion-icon {
    font-size: 1.2rem;
    margin-right: .5rem
}

aside footer img {
    margin-top: 30px;
    width: 280px
}

.navigation-container {
    box-sizing: border-box;
    height: 96vh;
    justify-content: space-between;
    margin-right: 2rem;
    padding: 1rem;
    margin-top: 6rem;
    z-index: 99999
}

@media (max-width:930px) {
    aside {
        margin-left: 1rem
    }

    .navigation-container {
        margin-right: 1rem
    }
}

@media (max-width:870px) {
    aside {
        display: none
    }
}

@media (max-width:600px) {

    .navigation-container {
        display: none
    }

    .col-9 {
        flex: 0 0 100%;
        width: 100%;
        max-width: 600px;
    }

    .col-3 {
        display: none;
    }

}

@media (max-width:600px) {
    ul {
        list-style: none
    }

    li {
        margin: 0px
    }

    .off-screen-menu {
        height: auto;
        width: 100%;
        max-width: 450px;
        position: fixed;
        top: 3rem;
        right: -450px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        font-size: 1rem;
        transition: .3s ease;
        padding-bottom: 1rem
    }

    .off-screen-menu.active {
        right: 0
    }


}

.paket-toggle {
    background: var(--bg-secondary);
    position: relative;
    width: max-content;
    margin-inline: auto;
    margin-top: 65px;
    display: flex;
    align-items: center;
    padding: 5px;
    border-radius: 100px;
    box-shadow: var(--shadow-1);
    z-index: 1;
}



.paket-toggle.active::before {
    left: 98px;
    width: 94px;
}

.toggle-btn {
    color: var(--color-primary);
    font-family: var(--ff-poppins);
    padding: 5px 25px;
    transition: var(--transition-1);
}

.toggle-btn.active {
    color: var(--white);
    background: var(--raw-seinna);
    border-radius: 100px;
    transition: var(--transition-1);
    z-index: -1;
}

.paket-box ul {
    display: none;
    list-style: none;
    padding: 0;
}

.paket-box ul.active {
    display: block;
}

.mini-player {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;

    display: none;
    justify-content: space-between;
    align-items: center;

    padding: 10px 15px;
    background: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(20px);
    color: white;
    z-index: 999;
}

.mini-info {
    display: flex;
    align-items: center;
    gap: 10px;
}

.mini-info img {
    width: 45px;
    height: 45px;
    border-radius: 10px;
    object-fit: cover;
}

.mini-text #miniTitle {
    font-size: 14px;
    font-weight: bold;
}

.mini-text #miniArtist {
    font-size: 12px;
    opacity: 0.7;
}

.mini-controls i {
    font-size: 22px;
    cursor: pointer;
}

/* hanya tampil di mobile */
@media(max-width:768px) {
    .mini-player {
        display: flex;
    }
}

.clicked {
    background: var(--blue);
    box-shadow: -7px -7px 8px #eb5c1e inset, 7px 7px 8px #ff8404 inset,
        -3px -3px 8px var(--light), 2px 2px 8px #f55302 !important;
}

#background-video {
    position: absolute;
    object-fit: cover;
    z-index: 0;
    height: 100%;
    width: 100%;
}


/* Banner Section */

.overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.5;
    z-index: 1;
}

.arab-text {
    direction: rtl;
    text-align: right;
    font-size: 3rem;
    line-height: 2;
    color: white;
    margin-bottom: 15px;
}

.indo-text {
    direction: ltr;
    text-align: left;
    font-size: 1rem;
    line-height: 1.8;
    color: white;
}

.search-box { 
    display: flex; 
    gap: 8px; 
    margin-bottom: 15px;
    border: solid 3px #41454854;
    
}
.search-box input { 
    flex: 1; 
    padding: 10px; 
    font-size: 16px;
    color: #fff;
}
.search-box button { 
    padding: 10px 15px; 
    font-size: 16px; 
    cursor: pointer; 
    border-left: solid 3px #41454854;
}

